Bug 1472730 - Rebase spice-gtk to latest upstream
Rebase spice-gtk to latest upstream
Status: ON_QA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: spice-gtk (Show other bugs)
7.5
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Default Assignee for SPICE Bugs
SPICE QE bug list
Jiri Herrmann
: Rebase
Depends On: 1471000
Blocks: 1469590
  Show dependency treegraph
 
Reported: 2017-07-19 05:44 EDT by Victor Toso
Modified: 2017-11-09 10:50 EST (History)
5 users (show)

See Also:
Fixed In Version: spice-gtk-0.34-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Victor Toso 2017-07-19 05:44:39 EDT
Description of problem:
The code upstream had a good amount of work and testing in order to enable hardware decoding support for video streaming, specifically for h264 on intel based systems, using vaapi.

- Related to bug 1471000

Shortlog: channel-display: implement preferred video codec msgc
Commit  : 71bdeec42297dbba8765a5180c83dc96790d4279
-> New API, based on new protocol message for ranking video codecs preference for encoding based on client's preference for decoding.

Shortlog: display-gst: Use Playbin for GStreamer 1.9.0 onwards
Commit  : ed697dd7fa165632bd0cbdb34c971c8001c433fa
-> Changing GStreamer's pipeline to detect available video decoders instead of relying on a subset of plugins which was hardcoded.

Note You need to log in before you can comment on or make changes to this bug.